TICKIT_TERM_CTLNAME(3)

NAME
tickit_term_ctlname - return the name of a terminal control

SYNOPSIS
    #include <tickit.h>

    const char * tickit_term_ctlname(TickitTermCtl ctl);
    TickitTermCtl tickit_term_lookup_ctl(const char * name);

    TickitType tickit_term_ctltype(TickitTermCtl ctl);

Link with -ltickit.

DESCRIPTION
tickit_term_ctlname() returns the name of the given terminal control. These names are the lowercase strings given in tickit_term(7).

tickit_term_lookup_ctl() returns the control constant for a given name. If the name is not recognised then -1 is returned.

tickit_term_ctltype() returns the type of the given terminal control, as one of the following constants:

TICKIT_TYPE_BOOL
    The value is an integer representing a simple boolean choice, where any nonzero value is true. Use tickit_term_setctl_int(3) and tickit_term_getctl_int(3).

TICKIT_TYPE_INT
    The value is an integer representing a quantity, or a value in some particular enumeration. Use tickit_term_setctl_int(3) and tickit_term_getctl_int(3).

TICKIT_TYPE_STR
    The value is a string. Use tickit_term_setctl_str(3).

For unrecognised control types, the function returns 0.

RETURN VALUE
tickit_term_ctlname() returns a constant string pointer. tickit_term_lookup_ctl() returns an control constant or -1. tickit_term_ctltype() returns a control type constant or 0.

SEE ALSO
tickit_term(7), tickit(7)